package com.steering.pss.ydm.entity;
/**
 * 数据库表YDM_ZC_ASK_MONTH所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732   date 2015-09-14
 */
public class YdmZcAskMonthEntity {
    /**
     * 月请车批车号
     */
    private String askMonthNo;
    /**
     * 发货计划号
     */
    private String sendPlanNo;
    /**
     * 车皮运号
     */
    private String wagonsPlanNo;
    /**
     * 请车皮数量（月度）
     */
    private String vehicleMonthNum;
    /**
     * 批车皮数量（月度）
     */
    private String batchMonthNum;
    /**
     * 实际车皮装运数（月度）
     */
    private String actMonthNum;
    /**
     * 请车标志（1正常请车、2补充请车）
     */
    private String wagonsFlag;
    /**
     * 铁路站局代码
     */
    private String stationCode;
    /**
     * 铁路站局名称
     */
    private String stationName;
    /**
     * 到站编码
     */
    private String stationNo;
    /**
     * 到站名称
     */
    private String stationNm;
    /**
     * 专用线编码
     */
    private String spclLnNo;
    /**
     * 专用线名称
     */
    private String spclLnNm;
    /**
     * 客户编码
     */
    private String customerNo;
    /**
     * 客户名称
     */
    private String customerNm;
    /**
     * 收货单位编码
     */
    private String receivNo;
    /**
     * 收货单位名称
     */
    private String receivNm;
    /**
     * 销售组织(国贸/钢贸/销售公司)
     */
    private String saleOrg;
    /**
     * 销售组织描述
     */
    private String saleOrgDesc;
    /**
     * 品种大类代码(4050)--销售分类
     */
    private String producStyle;
    /**
     * 品种大类描述
     */
    private String producDesc;
    /**
     * 申请人
     */
    private String purName;
    /**
     * 申请时间
     */
    private String purTime;
    /**
     * 批车时间
     */
    private String appTime;
    /**
     * 批车人
     */
    private String appName;
    /**
     * 批车标志(0未批复、1已批复）
     */
    private String appFlag;
    /**
     * 作业部门代码
     */
    private String departmentCode;
    /**
     * 作业部门描述
     */
    private String departmentDesc;
    /**
     * 作业科室代码
     */
    private String managementNo;
    /**
     * 作业科室名称
     */
    private String managementName;
    /**
     * 备注
     */
    private String memo;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;

    public YdmZcAskMonthEntity(){
        askMonthNo = "";
        sendPlanNo = "";
        wagonsPlanNo = "";
        vehicleMonthNum = "";
        batchMonthNum = "";
        actMonthNum = "";
        wagonsFlag = "";
        stationCode = "";
        stationName = "";
        stationNo = "";
        stationNm = "";
        spclLnNo = "";
        spclLnNm = "";
        customerNo = "";
        customerNm = "";
        receivNo = "";
        receivNm = "";
        saleOrg = "";
        saleOrgDesc = "";
        producStyle = "";
        producDesc = "";
        purName = "";
        purTime = "";
        appTime = "";
        appName = "";
        appFlag = "";
        departmentCode = "";
        departmentDesc = "";
        managementNo = "";
        managementName = "";
        memo = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * 月请车批车号
     * @return value
     */
    public String getAskMonthNo() {
        return askMonthNo;
    }

    /**
     * 月请车批车号
     * @param askMonthNo value
     */
    public void setAskMonthNo(String askMonthNo) {
        this.askMonthNo = askMonthNo;
    }

    /**
     * 发货计划号
     * @return value
     */
    public String getSendPlanNo() {
        return sendPlanNo;
    }

    /**
     * 发货计划号
     * @param sendPlanNo value
     */
    public void setSendPlanNo(String sendPlanNo) {
        this.sendPlanNo = sendPlanNo;
    }

    /**
     * 车皮运号
     * @return value
     */
    public String getWagonsPlanNo() {
        return wagonsPlanNo;
    }

    /**
     * 车皮运号
     * @param wagonsPlanNo value
     */
    public void setWagonsPlanNo(String wagonsPlanNo) {
        this.wagonsPlanNo = wagonsPlanNo;
    }

    /**
     * 请车皮数量（月度）
     * @return value
     */
    public String getVehicleMonthNum() {
        return vehicleMonthNum;
    }

    /**
     * 请车皮数量（月度）
     * @param vehicleMonthNum value
     */
    public void setVehicleMonthNum(String vehicleMonthNum) {
        this.vehicleMonthNum = vehicleMonthNum;
    }

    /**
     * 批车皮数量（月度）
     * @return value
     */
    public String getBatchMonthNum() {
        return batchMonthNum;
    }

    /**
     * 批车皮数量（月度）
     * @param batchMonthNum value
     */
    public void setBatchMonthNum(String batchMonthNum) {
        this.batchMonthNum = batchMonthNum;
    }

    /**
     * 实际车皮装运数（月度）
     * @return value
     */
    public String getActMonthNum() {
        return actMonthNum;
    }

    /**
     * 实际车皮装运数（月度）
     * @param actMonthNum value
     */
    public void setActMonthNum(String actMonthNum) {
        this.actMonthNum = actMonthNum;
    }

    /**
     * 请车标志（1正常请车、2补充请车）
     * @return value
     */
    public String getWagonsFlag() {
        return wagonsFlag;
    }

    /**
     * 请车标志（1正常请车、2补充请车）
     * @param wagonsFlag value
     */
    public void setWagonsFlag(String wagonsFlag) {
        this.wagonsFlag = wagonsFlag;
    }

    /**
     * 铁路站局代码
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 铁路站局代码
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 铁路站局名称
     * @return value
     */
    public String getStationName() {
        return stationName;
    }

    /**
     * 铁路站局名称
     * @param stationName value
     */
    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    /**
     * 到站编码
     * @return value
     */
    public String getStationNo() {
        return stationNo;
    }

    /**
     * 到站编码
     * @param stationNo value
     */
    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    /**
     * 到站名称
     * @return value
     */
    public String getStationNm() {
        return stationNm;
    }

    /**
     * 到站名称
     * @param stationNm value
     */
    public void setStationNm(String stationNm) {
        this.stationNm = stationNm;
    }

    /**
     * 专用线编码
     * @return value
     */
    public String getSpclLnNo() {
        return spclLnNo;
    }

    /**
     * 专用线编码
     * @param spclLnNo value
     */
    public void setSpclLnNo(String spclLnNo) {
        this.spclLnNo = spclLnNo;
    }

    /**
     * 专用线名称
     * @return value
     */
    public String getSpclLnNm() {
        return spclLnNm;
    }

    /**
     * 专用线名称
     * @param spclLnNm value
     */
    public void setSpclLnNm(String spclLnNm) {
        this.spclLnNm = spclLnNm;
    }

    /**
     * 客户编码
     * @return value
     */
    public String getCustomerNo() {
        return customerNo;
    }

    /**
     * 客户编码
     * @param customerNo value
     */
    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 收货单位编码
     * @return value
     */
    public String getReceivNo() {
        return receivNo;
    }

    /**
     * 收货单位编码
     * @param receivNo value
     */
    public void setReceivNo(String receivNo) {
        this.receivNo = receivNo;
    }

    /**
     * 收货单位名称
     * @return value
     */
    public String getReceivNm() {
        return receivNm;
    }

    /**
     * 收货单位名称
     * @param receivNm value
     */
    public void setReceivNm(String receivNm) {
        this.receivNm = receivNm;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @return value
     */
    public String getSaleOrg() {
        return saleOrg;
    }

    /**
     * 销售组织(国贸/钢贸/销售公司)
     * @param saleOrg value
     */
    public void setSaleOrg(String saleOrg) {
        this.saleOrg = saleOrg;
    }

    /**
     * 销售组织描述
     * @return value
     */
    public String getSaleOrgDesc() {
        return saleOrgDesc;
    }

    /**
     * 销售组织描述
     * @param saleOrgDesc value
     */
    public void setSaleOrgDesc(String saleOrgDesc) {
        this.saleOrgDesc = saleOrgDesc;
    }

    /**
     * 品种大类代码(4050)--销售分类
     * @return value
     */
    public String getProducStyle() {
        return producStyle;
    }

    /**
     * 品种大类代码(4050)--销售分类
     * @param producStyle value
     */
    public void setProducStyle(String producStyle) {
        this.producStyle = producStyle;
    }

    /**
     * 品种大类描述
     * @return value
     */
    public String getProducDesc() {
        return producDesc;
    }

    /**
     * 品种大类描述
     * @param producDesc value
     */
    public void setProducDesc(String producDesc) {
        this.producDesc = producDesc;
    }

    /**
     * 申请人
     * @return value
     */
    public String getPurName() {
        return purName;
    }

    /**
     * 申请人
     * @param purName value
     */
    public void setPurName(String purName) {
        this.purName = purName;
    }

    /**
     * 申请时间
     * @return value
     */
    public String getPurTime() {
        return purTime;
    }

    /**
     * 申请时间
     * @param purTime value
     */
    public void setPurTime(String purTime) {
        this.purTime = purTime;
    }

    /**
     * 批车时间
     * @return value
     */
    public String getAppTime() {
        return appTime;
    }

    /**
     * 批车时间
     * @param appTime value
     */
    public void setAppTime(String appTime) {
        this.appTime = appTime;
    }

    /**
     * 批车人
     * @return value
     */
    public String getAppName() {
        return appName;
    }

    /**
     * 批车人
     * @param appName value
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 批车标志(0未批复、1已批复）
     * @return value
     */
    public String getAppFlag() {
        return appFlag;
    }

    /**
     * 批车标志(0未批复、1已批复）
     * @param appFlag value
     */
    public void setAppFlag(String appFlag) {
        this.appFlag = appFlag;
    }

    /**
     * 作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * 作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * 作业部门描述
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * 作业部门描述
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * 作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * 作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * 作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * 作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}